﻿using System.Collections.Generic;
using System.Windows.Forms;

using WoTPinger.Properties;
using WoTPinger.UserInterface.Controls;

namespace WoTPinger.UserInterface.Forms
{
	public sealed partial class MainForm : WPForm
	{
		public MainForm(ICollection<WPPingControl> pingControls)
		{
			InitializeComponent();
			SetPingControls(pingControls);

			btnMinimize.Click += (s, e) => WindowState = FormWindowState.Minimized;
			btnClose.Click += (s, e) => Close();
			btnHelp.Click += (s, e) => WindowHelper.Help();

			Text = Resources.ApplicationName;
		}

		protected override CreateParams CreateParams
		{
			get
			{
				CreateParams cp = base.CreateParams;
				cp.Style |= (int)WindowStyle.MinimizeBox;
				cp.ClassStyle |= (int)ClassStyle.DoubleClicks;
				return cp;
			}
		}

		private void SetPingControls(ICollection<WPPingControl> pingControls)
		{
			if (pingControls.Count > 0)
			{
				foreach (var control in pingControls)
				{
					control.SetToolTip(ttHelp);
					pnlMain.Controls.Add(control);
				}
			}
		}
	}
}