﻿using System.Windows.Forms;

namespace WoTPinger.UserInterface.Forms
{
	public class WPForm : Form
	{
		private bool enableDoubleBuffering;

		public WPForm()
		{
			enableDoubleBuffering = true;
			Icon = WindowHelper.GetAssemblyIcon();
		}

		protected override CreateParams CreateParams
		{
			get
			{
				CreateParams cp = base.CreateParams;

				if (enableDoubleBuffering)
					cp.ExStyle |= (int)WindowStyle.Composited;

				return cp;
			}
		}

		protected void SetDoubleBuffering(bool doubleBuffering)
		{
			if (enableDoubleBuffering != doubleBuffering)
			{
				enableDoubleBuffering = doubleBuffering;
				FormBorderStyle = FormBorderStyle.None;
			}
		}
	}
}