﻿using System.Drawing;

using WoTPinger.Properties;
using WoTPinger.UserInterface.Controls;

namespace WoTPinger.UserInterface
{
	internal static class HelpPageBuilder
	{
		internal static Page BuildServersPage()
		{
			var page = CreateHelpPage(Resources.ServersPage);
			page.Controls.Add(CreateLink(263, Resources.ServersUrl, Resources.ServersLink, Resources.ServersLinkHover));
			return page;
		}

		internal static Page BuildAuthorsPage()
		{
			var page = CreateHelpPage(Resources.AuthorsPage);
			page.Controls.Add(CreateLink(220, Resources.ForumUrl, Resources.ForumLink, Resources.ForumLinkHover));
			return page;
		}

		internal static Page BuildPingParametersPage()
		{
			return CreateHelpPage(Resources.PingParametersPage);
		}

		private static Page CreateHelpPage(Image background)
		{
			return new Page { BackgroundImage = background };
		}

		private static WPLinkButton CreateLink(int top, string url, Image normal, Image hover)
		{
			return new WPLinkButton
			{
				Link = url,
				BackgroundImage = normal,
				NormalImage = normal,
				HoverImage = hover,
				Size = normal.Size,
				Location = new Point(14, top)
			};
		}
	}
}